petsc-3.4.2 2013-07-02

# ISDestroy

Destroys an index set.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISDestroy(IS *is)

Collective on IS

### Input Parameters

is -the index set

### See Also

ISCreateGeneral(), ISCreateStride(), ISCreateBlocked()

Level:beginner
Location:src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/is/examples/tutorials/ex1.c.html
src/vec/is/is/examples/tutorials/ex2.c.html
src/vec/is/is/examples/tutorials/ex3.c.html
src/vec/is/is/examples/tutorials/ex1f.F.html
src/vec/is/is/examples/tutorials/ex1f90.F.html
src/vec/is/is/examples/tutorials/ex2f.F.html
src/vec/is/is/examples/tutorials/ex3f90.F.html
src/mat/examples/tutorials/ex1.c.html
src/mat/examples/tutorials/ex11.c.html
src/mat/examples/tutorials/ex15.c.html
src/mat/examples/tutorials/ex17.c.html